Subject: RE: [XCON] Removing Policies from the framework document (and data model)

From: Simon Pietro Romano <[email-masked]>
Date: Tue, 1 May 2007 12:02:52 +0200

Just my two cents: imho we keep on wasting time on deciding "how to do what",
rather than focusing on "doing something". Policies and framework are orthogoal
issues and, as such, they might be dealt with in parallel, and in a very short
time. I would invite all of you to think of the fact that the IETF should
embrace a more light-weight approach to standards; the risk is that we end up
in 10 years with a "perfect yet useless" (à la ISO/OSI) protocol suite for
conferencing.
To be proactive, I personally voulonteer in helping you with the work on both
the policy framework and the conference control protocol. With respect to
policies, in particular, here at University of Napoli we have already setup a
basic XACML scenario which provides role-based access control to conference
state information. We would be happy to go on with such work and to share ideas
with others in the group.

Cheers, 

Simon
-- 
                            _\\|//_
                            ( O-O )
   ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)~~00o~~~~~~~~~~~~~~~~~~~~~~~~
                    Simon Pietro Romano
              Universita' di Napoli Federico II
                 Computer Science Department 
        Phone: +39 081 7683823 -- Fax: +39 081 7684219
                e-mail: [email-masked]

    <<Molti mi dicono che lo scoraggiamento è l'alibi degli 
   idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
                         oooO
   ~~~~~~~~~~~~~~~~~~~~~~(   )~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
                          \ (    (   )
                           \_)    ) /
                                 (_/

Scrive Mary Barnes <[email-masked]>:

> More comments embedded below [MB].
> 
> Mary
> 
> 
> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]] 
> Sent: Monday, April 30, 2007 12:00 PM
> To: Barnes, Mary (RICH2:AR00)
> Cc: [email-masked]
> Subject: Re: [XCON] Removing Policies from the framework document (and
> data model)
> 
> 
> Hi Mary,
> 
> > But, I still think we need to talk about policies in the context of
> the
> > framework (and in particular the read/write and how the child may or
> may
> > not also inherit policy properties from the parent).  I think there
> are
> > implied requirements on the policy solution in the framework and I
> don't
> > want to lose the context of those.  And, given the other thread
> > proposing that the framework is informational, there would be nothing
> > normative in this text.
> 
> sure, we can talk about that in the framework... but if we do that, I 
> would suggest delaying the publication of the framework until we have a 
> clear idea on how policies will be specified. Talking about read/write 
> and inheritance without knowing how policies are going to be implemented
> 
> seems a little risky to me.
> 
> [MB] I do not think we need to delay the framework.  I don't think that
> the idea of the child inheriting policy is so much a policy issue as it
> is a system implementation issue. The inheritance concept was a basic
> approach that we agreed long ago - the mechanisms to achieve that aren't
> specified, but the idea is an important concept for describing how one
> might design a conferencing system to support these various protocols.
> The whole idea of the framework is to provide a context for describing
> the protocols.  I honestly think the text remains at an abstract enough
> level that it's not going to limit an implementation, but rather guide
> it.  I think it would be really good if this group could agree that they
> agree on these basic concepts before moving forward, but it really
> matters not to me if we want to keep the framework within the WG until
> all the protocol work is done.   But, I didn't think that was the
> direction the chairs intended us to go.   
> 
> <Editor hat off> I'm actually very happy to start talking about how we
> can very easily implement policies based on XACML. And, I feel quite
> comfortable in saying that the high level concepts in the framework
> don't seem to cause any problems if that is selected. 
> <Editor hat back on>
> [/MB]
> 
> > And, it should be clear that the policy mechanism is not defined in
> this
> > document and will be defined in another document, either as part of
> the
> > protocol document or a separate document.  For the record, I am
> opposed
> > to this WG deciding at this time to work on a separate policy
> document.
> > I think the work plan of completing the data model and then working
> out
> > the details of the Conference Control Protocol should be worked, as I
> > think the policy may be dependent upon the protocol choice. 
> 
> I am afraid I do not fully understand the work plan you propose in the 
> paragraph above. Could you please clarify it for me?
> [MB] My concern is that the group will rathole if we decide to go off
> and define a policy control framework for the data model before we agree
> the protocol for the conference control based on that data model. I
> think once the group can agree a conference control protocol, the policy
> approach might well be a straightforward choice of selecting something
> that's already been developed. 
> [/MB]
> 
> 
> > The text I need to remove from the framework would be around policy
> > information being an integral part of the data model. I think the
> > general consensus seems to be that they are not. Folks, please speak
> up
> > now if you disagree with this point.
> 
> I believe we have consensus on working on the policy issues in a 
> different Internet Draft. However, such an internet draft may very well 
> define policy elements that are an extension of the data model. In that 
> case, policies would indeed be part of the data model (they would 
> actually be an extension of the data model).
> [MB] I think we had consensus to not work on policy in the data model
> and to not work on policy in the framework.  However, my point above, I
> think it's pre-mature for this group to start working a policy model.
> Per the point above, I understood the work plan for this working group
> to be to work on the protocol once we completed the data model.
> [/MB]
> 
> If by "integral part" you mean that they are defined as part of the data
> 
> model and not as an extension, then I agree with your statement.
> [MB] Yes, on this one point, we agree. [/MB]
> 
> > I'll proposed the detailed text changes in a separate email in case
> > folks what to debate this general topic further. And, it would be good
> > for some other voices to chime in with opinions. 
> 
> Yes, it would be great to hear different opinions.
> 
> Cheers,
> 
> Gonzalo
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon